Passer au contenu principal
DELETE
/
v3
/
enterprise
/
organizations
/
{org_id}
/
tags
/
{tag}
Supprimer un tag de l’organisation
curl --request DELETE \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags/{tag} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags/{tag}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tags": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisations

Nécessite un compte de service disposant de l’autorisation ManageEnterpriseSettings. De plus, la fonctionnalité des tags de session doit être activée pour l’Enterprise.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

org_id
string
requis

ID de l’organisation (préfixe : org-)

Exemple:

"org-abc123def456"

tag
string
requis

Réponse

Réponse réussie

tags
string[]
requis